<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.ranull</groupId>
    <artifactId>leashable-parent</artifactId>
    <name>Leashable</name>
    <description>Allow leashing of all entities.</description>
    <version>${revision}</version>
    <packaging>pom</packaging>

    <properties>
        <revision>1.3</revision>
        <java.version>1.8</java.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

    <modules>
        <module>core</module>
        <module>dist</module>
        <module>v1_19_R3</module>
        <module>v1_19_R2</module>
        <module>v1_19_R1</module>
        <module>v1_18_R2</module>
        <module>v1_18_R1</module>
        <module>v1_17_R1</module>
        <module>v1_16_R3</module>
        <module>v1_16_R2</module>
        <module>v1_16_R1</module>
        <module>v1_15_R1</module>
        <module>v1_14_R1</module>
        <module>v1_13_R2</module>
        <module>v1_13_R1</module>
        <module>v1_12_R1</module>
        <module>v1_11_R1</module>
        <module>v1_10_R1</module>
        <module>v1_9_R2</module>
        <module>v1_9_R1</module>
    </modules>

    <build>
        <defaultGoal>clean package</defaultGoal>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.7.0</version>
                <configuration>
                    <source>${java.version}</source>
                    <target>${java.version}</target>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-shade-plugin</artifactId>
                <version>3.1.0</version>
                <executions>
                    <execution>
                        <phase>package</phase>
                        <goals>
                            <goal>shade</goal>
                        </goals>
                        <configuration>
                            <createDependencyReducedPom>false</createDependencyReducedPom>
                            <filters>
                                <filter>
                                    <artifact>*:*</artifact>
                                    <excludes>
                                        <exclude>META-INF/**</exclude>
                                    </excludes>
                                </filter>
                            </filters>
                        </configuration>
                    </execution>
                </executions>
                <configuration>
                    <relocations>
                        <relocation>
                            <pattern>org.bstats</pattern>
                            <shadedPattern>com.ranull.leashable.bstats</shadedPattern>
                        </relocation>
                    </relocations>
                </configuration>
            </plugin>
        </plugins>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>true</filtering>
            </resource>
        </resources>
    </build>
</project>
